# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::LineWidth Class Reference

RenderState wrapping the OpenGL function glLineWidth(), see also http://www.opengl.org/sdk/docs/man/xhtml/glLineWidth.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::LineWidth:

List of all members.

## Public Member Functions

| LineWidth (float linewidth=1.0f)
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | set (float linewidth)
float | lineWidth () const

## Protected Attributes

float | mLineWidth

## Detailed Description

RenderState wrapping the OpenGL function glLineWidth(), see also http://www.opengl.org/sdk/docs/man/xhtml/glLineWidth.xml for more information.

See also:
  Shader, Effect, Actor

Definition at line 680 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::LineWidth::LineWidth | ( | float | linewidth = `1.0f` ) | `[inline]`

Definition at line 683 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::LineWidth::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

Definition at line 687 of file Shader.hpp.

virtual ERenderState vl::LineWidth::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 688 of file Shader.hpp.

References vl::RS_LineWidth.

void LineWidth::apply | ( | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 451 of file Shader.cpp.

References mLineWidth, and VL_CHECK_OGL.

void vl::LineWidth::set | ( | float | linewidth ) | `[inline]`

Definition at line 690 of file Shader.hpp.

float vl::LineWidth::lineWidth | ( | ) | const`[inline]`

Definition at line 691 of file Shader.hpp.

## Member Data Documentation

float vl::LineWidth::mLineWidth`[protected]`

Definition at line 693 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:46.
Permission is granted to use this page to write and publish articles regarding Visualization Library.